#include <bits/stdc++.h>
using namespace std;
struct lkio {
        long long x, y;
};
lkio v[100008];
bool cmkio (lkio sd, lkio st){
    if(sd.x == st.x) return sd.y < st.y;
    else return sd.x < st.x;
}
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n;
	cin >> n;
    int b = 0, a = 0, i = 0;
    for(i = 1; i <= n; i++){
        cin >> a;
        if(a > b) b = a;
        v[a].x++;
    }
    int c = 0, d = 0;
    for(i = b; i >= 1; i--){
        v[i].y = i;
    }
    sort(v + 1, v + 1 + b, cmkio);
    /*for(i = 1; i <= b; i++){
        cout << v[i].x << " " << v[i].y << endl;
    }*/
    for(i = b; i >= 1; i--){
        if(v[i].x > 0 && v[i].y - d > 0){
            c+=v[i].x * (v[i].y - d);
            d+=v[i].x;
        }
    }
    cout << c;
}
